# Class DirtyPerspectiveMarker

java.lang.Object
org.eclipse.ui.internal.DirtyPerspectiveMarker

public class DirtyPerspectiveMarker extends Object

Since:
  3.1

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`perspectiveId`

## Constructor Summary

Constructors
Constructor
Description
`DirtyPerspectiveMarker(String id)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### perspectiveId

public String perspectiveId

## Constructor Details

### DirtyPerspectiveMarker

public DirtyPerspectiveMarker(String id)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`